#ifndef DCOPIFACE_H
#define DCOPIFACE_H

#include <noatun/player.h>
#include <noatun/plugin.h>
#include <tqserversocket.h>
#include <tqsocket.h>
#include <unistd.h>

class Net : public TQServerSocket, public Plugin
{
Q_OBJECT
  

public:
	Net();
	~Net();

public slots:
	void newSong();

private slots:
	void closed();
protected:
	virtual void newConnection(int socket);

private:
	TQPtrList<TQSocket> mFDs;
};

#endif

